This is GenericInitialIdeal.info, produced by Macaulay2, version 1.25.05

GenericInitialIdeal -- find the generic initial ideal of a given ideal
**********************************************************************

Description
===========

GenericInitialIdeal is a package for computing generic initial ideals of ideals
in a polynomial ring, that is, the monomial ideal of lead terms after a random
change of coordinates.  All of these routines are probabilistic: with high
probability, they give the correct answer, but it could be the case that the
choice of coordinates is too special.

Authors
=======

  * Alexandra Seceleanu <asecele2@uiuc.edu>
  * Nathaniel Stapleton <nstaple2@math.uiuc.edu>

Version
=======

This documentation describes version 0.2 of GenericInitialIdeal.

Citation
========

If you have used this package in your research, please cite it as follows:

+-----------------------------------------------------------------------------+
|@misc{GenericInitialIdealSource,                                             |
|  title = {{GenericInitialIdeal: find the generic initial ideal of a given   |
|  author = {Alexandra Seceleanu and Nathaniel Stapleton},                    |
|  howpublished = {A \emph{Macaulay2} package available at                    |
|    \url{https://github.com/Macaulay2/M2/tree/master/M2/Macaulay2/packages   |
|}                                                                            |
|-----------------------------------------------------------------------------|
| ideal. Version~0.2}},                                                       |
|                                                                             |
|                                                                             |
|}}                                                                           |
+-----------------------------------------------------------------------------+

Exports
=======

  * Functions and commands
      * gin -- the generic initial ideal
      * lexgin -- the generic initial ideal with respect to
        lexicographical order
  * Methods
      * gin(Ideal) -- the generic initial ideal
      * gin(QuotientRing) -- the generic initial
        ideal
      * lexgin(Ideal) -- the generic initial ideal
        with respect to lexicographical order
      * lexgin(QuotientRing) -- the generic
        initial ideal with respect to lexicographical order
  * Symbols

For the programmer
==================

The object GenericInitialIdeal, is a package (Macaulay2Doc),
defined in GenericInitialIdeal.m2.

-------------------------------------------------------------------------------

The source of this document is in GenericInitialIdeal.m2:131:0.

gin -- the generic initial ideal
********************************

  * Usage:
        gin I
  * Inputs:
      * I, an Ideal (Macaulay2Doc), in a polynomialRing (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * AttemptCount (missing documentation) => ..., default value 7, sets the
        number of  random coordinate changes the routine attempts before
        choosing the potentialgin .
      * Modular (missing documentation) => ..., default value false, if set to
        be true, computations are performed modulo a large random prime .
      * MonomialOrder (missing documentation) => ..., default value null, sets
        the Monomial Order  used in the computation of gin .
      * Multigraded (missing documentation) => ..., default value false, if
        true computes the multigraded gin w.r.t. the multigrading of ring I.
      * Verbose (missing documentation) => ..., default value false, provides a
        summary of the random initial ideals generated and warns if the
        selected one is not strongly stable.
  * Outputs:
      * an Ideal (Macaulay2Doc), the generic initial ideal of I.

Description
===========

Example: a complete intersection of type (3,3) in P^3

+-------------------------------------+
|i1 : R = QQ[a..d];                   |
+-------------------------------------+
|i2 : I = ideal(a^3+c^2*d, b^3-a*d^2);|
|                                     |
|o2 : Ideal of R                      |
+-------------------------------------+
|i3 : gin(I)                          |
|                                     |
|             3   2      3   5        |
|o3 = ideal (a , a b, a*b , b )       |
|                                     |
|o3 : Ideal of R                      |
+-------------------------------------+

The Stanley-Reisner ideal of RP^2

+-----------------------------------------------------------------------------+
|i4 : R = QQ[x0,x1,x2,x3,x4,x5]                                               |
|                                                                             |
|o4 = R                                                                       |
|                                                                             |
|o4 : PolynomialRing                                                          |
+-----------------------------------------------------------------------------+
|i5 : M = matrix {{x1*x3*x4, x0*x3*x4, x1*x2*x4, x0*x2*x3, x0*x1*x2, x2*x4*x5,|
|                                                                             |
|o5 = | x1x3x4 x0x3x4 x1x2x4 x0x2x3 x0x1x2 x2x4x5 x0x4x5 x2x3x5 x1x3x5 x0x1x5 |
|     ------------------------------------------------------------------------|
|     |                                                                       |
|                                                                             |
|             1      10                                                       |
|o5 : Matrix R  <-- R                                                         |
|-----------------------------------------------------------------------------|
|x0*x4*x5, x2*x3*x5, x1*x3*x5, x0*x1*x5}} --Stanley-Reisner ideal of RP^2     |
+-----------------------------------------------------------------------------+
|i6 : I=ideal flatten entries M                                               |
|                                                                             |
|o6 = ideal (x1*x3*x4, x0*x3*x4, x1*x2*x4, x0*x2*x3, x0*x1*x2, x2*x4*x5,      |
|     ------------------------------------------------------------------------|
|     x0*x4*x5, x2*x3*x5, x1*x3*x5, x0*x1*x5)                                 |
|                                                                             |
|o6 : Ideal of R                                                              |
+-----------------------------------------------------------------------------+
|i7 : J=(ideal{x0,x1,x2})^3                                                   |
|                                                                             |
|              3    2      2         2                 2    3    2         2  |
|o7 = ideal (x0 , x0 x1, x0 x2, x0*x1 , x0*x1*x2, x0*x2 , x1 , x1 x2, x1*x2 , |
|     ------------------------------------------------------------------------|
|       3                                                                     |
|     x2 )                                                                    |
|                                                                             |
|o7 : Ideal of R                                                              |
+-----------------------------------------------------------------------------+
|i8 : assert(gin(I)==J)                                                       |
+-----------------------------------------------------------------------------+

Example 1.10 from Conca, De Negri, Gorla  'Cartwright-Sturmfels ideals
associated to graphs and linear spaces'.

+-----------------------------------------------------------------------------+
|i9 : R = QQ[x_1..x_3,y_1..y_3,                                               |
|-----------------------------------------------------------------------------|
|Degrees=>{{1,0},{1,0},{1,0},{0,1},{0,1},{0,1}}];                             |
+-----------------------------------------------------------------------------+
|i10 : I = ideal(x_1*y_1,x_2*y_2,x_3*y_2,x_2*y_3,x_3*y_3);                    |
|                                                                             |
|o10 : Ideal of R                                                             |
+-----------------------------------------------------------------------------+
|i11 : gin(I)                                                                 |
|                                                                             |
|              2         2               3   2                                |
|o11 = ideal (x , x x , x , x x , x x , x , x y )                             |
|              1   1 2   2   1 3   2 3   3   3 1                              |
|                                                                             |
|o11 : Ideal of R                                                             |
+-----------------------------------------------------------------------------+
|i12 : gin(I, Multigraded => true)                                            |
|                                                                             |
|                                            2                                |
|o12 = ideal (x y , x y , x y , x y , x y , x y , x x y )                     |
|              1 1   2 1   3 1   1 2   2 2   1 3   1 2 3                      |
|                                                                             |
|o12 : Ideal of R                                                             |
+-----------------------------------------------------------------------------+

This symbol is provided by the package GenericInitialIdeal.

Caveat
======

The method  gin uses a probabilistic algorithm. The returned answer is correct
with high probability in characteristic zero and large positive characteristic,
but might be wrong in small positive characteristic. For details in this
situation it is recommended to use the Verbose option.

See also
========

  * lexgin -- the generic initial ideal with respect to
    lexicographical order

Ways to use gin:
================

  * gin(Ideal) -- the generic initial ideal
  * gin(QuotientRing) -- the generic initial
    ideal

For the programmer
==================

The object gin, is a method function with options (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in GenericInitialIdeal.m2:171:0.

gin(Ideal) -- the generic initial ideal
***************************************

  * Function: gin,

Ways to use this method:
========================

  * gin(Ideal) -- the generic initial ideal
-------------------------------------------------------------------------------

The source of this document is in GenericInitialIdeal.m2:176:0.

gin(QuotientRing) -- the generic initial ideal
**********************************************

  * Function: gin,

Ways to use this method:
========================

  * gin(QuotientRing) -- the generic initial
    ideal
-------------------------------------------------------------------------------

The source of this document is in GenericInitialIdeal.m2:177:0.

lexgin -- the generic initial ideal with respect to lexicographical order
*************************************************************************

  * Usage:
        lexgin I
  * Inputs:
      * I, an Ideal (Macaulay2Doc), in a polynomialRing (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * AttemptCount (missing documentation) => ..., default value 7, sets the
        number of  random coordinate changes the routine attempts before
        choosing the potentialgin .
      * Modular (missing documentation) => ..., default value false, if set to
        be true, computations are performed modulo a large random prime .
      * Multigraded (missing documentation) => ..., default value false, if
        true computes the multigraded gin w.r.t. the multigrading of ring I.
      * Verbose (missing documentation) => ..., default value false, provides a
        summary of the random initial ideals generated and warns if the
        selected one is not strongly stable.
  * Outputs:
      * an Ideal (Macaulay2Doc), the generic initial ideal of I.

Description
===========

Same as gin with MonomiaOrder => Lex

This symbol is provided by the package GenericInitialIdeal.

See also
========

  * gin -- the generic initial ideal

Ways to use lexgin:
===================

  * lexgin(Ideal) -- the generic initial ideal with
    respect to lexicographical order
  * lexgin(QuotientRing) -- the generic
    initial ideal with respect to lexicographical order

For the programmer
==================

The object lexgin, is a method function with options (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in GenericInitialIdeal.m2:193:0.

lexgin(Ideal) -- the generic initial ideal with respect to lexicographical order
********************************************************************************

  * Function: lexgin,

Ways to use this method:
========================

  * lexgin(Ideal) -- the generic initial ideal with
    respect to lexicographical order
-------------------------------------------------------------------------------

The source of this document is in GenericInitialIdeal.m2:196:0.

lexgin(QuotientRing) -- the generic initial ideal with respect to lexicographical order
***************************************************************************************

  * Function: lexgin,

Ways to use this method:
========================

  * lexgin(QuotientRing) -- the generic
    initial ideal with respect to lexicographical order
-------------------------------------------------------------------------------

The source of this document is in GenericInitialIdeal.m2:197:0.